Name:           tastymenu
Version:        0.8.2
Release:        2%{?dist}
Summary:        KMenu replacement

Group:          User Interface/Desktops
License:        LGPLv2+
URL:            http://www.notmart.org/
Source0:        http://www.notmart.org/files/tastymenu-0.8.2.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs-devel >= 3.0.0, gettext
Requires:       kdebase


%description
Tasty Menu is a KMenu replacement aiming to provide the maximum usability, or
at least to be a testbed for usability concepts and ideas for a future KMenu 
replacement.


%prep
%setup -q
# Avoid lib64 rpaths
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure


%build
%configure --disable-rpath --libdir=%{_libdir}/kde3 \
   --enable-new-ldflags \
   --enable-final

# do not link against libgcc_s and libm
sed -i -e 's|"-lstdc++ -lm -lgcc_s -lc -lgcc_s|"-lstdc++ -lc|' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

# Fix the symlink problem
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en/%{name}
ln -sf ../common
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_libdir}/kde3/*
%{_datadir}/apps/kicker/applets/%{name}.desktop
%{_datadir}/config.kcfg/%{name}.kcfg
%{_docdir}/HTML/en/%{name}


%changelog
* Thu Aug 2 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8.2-2
- Updated license to LGPL2+ as per new Fedora requirements.

* Mon May 28 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8.2-1
- Updated TastyMenu to version 0.8.2.

* Tue May 1 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8-6
- Added a kdebase requirement, so that %{_datadir}/apps/kicker/applets/ exists when this package is installed.

* Tue May 1 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8-5
- Removed the line getting rid of unnecessary .la files, as they may be necessary after all.

* Mon Apr 30 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8-4
- Added in extra line to remove unnecessary .la files.

* Mon Apr 30 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8-3
- Adjusted the entries to configure and files to fix the last few rpmlint issues.
- Added optimization tags to configure.

* Sun Apr 29 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8-2
- Removed chmod call from prep stage, as it has been fixed upstream.

* Sun Apr 29 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8-1
- Updated TastyMenu to version 0.8.
- Removed redundant dependency on qt-devel.
- Removed sed call to add in libkio, as it has been fixed upstream.

* Sun Apr 29 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.7.1-4
- Made the file more readable.
- Added fix for symbolic link problem.
- Added gettext to the BuildRequires, as per Fedora policy.

* Sat Apr 28 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.7.1-3
- Added suggested sed lines to fix rpmlint complaints.
- Updated the URL tag.

* Sat Apr 28 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.7.1-2
- Shortened the Description even more.
- Also shortened the Summary.
- Updated the BuildRequires list.
- Readjusted the list of packaged files; more specifically, changed the HTML doc entries to be more generic.

* Sat Apr 28 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.7.1-1
- Shortened the Description and added the script for the HTML doc components to install.

* Fri Apr 27 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.7.1-0.nixa.2
- Updated BuildRequires based on feedback from mock & rpmlint.

* Mon Apr 23 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.7.1-0.nixa.1
- Initial RPM release